emulators/e-uae - The NetBSD Packages Collection

Enhanced Ubiquitous Amiga Emulator

This is a fork of UAE, the Ubiquitous Amiga Emulator, with an emulation core
based on WinUAE. It attempts to bring many of the great features of WinUAE
to non-Windows platforms. This version now finally has a name, E-UAE, since
that's what everybody was calling it anyway. The 'E' can stand for anything
you fancy. Experimental, extreme, exciting, egalitarian, eggplant...

E-UAE is open-source software and is made available under the terms of the
GPL. See the COPYING file included with the E-UAE archive for details.

E-UAE is based on the work of dozens of contributors including Bernd Schmidt
(the original author and maintainer of UAE), Bernie Meyer (the author of the
x86 JIT compiler), Toni Wilen (the current maintainer of WinUAE), and many
more.

To make full use of E-UAE you will need access to an image of some version
of the Amiga Kickstart ROM (although UAE does include a ROM emulation which
may work with some old games). The Amiga Kickstart ROMs are copyrighted
material and may not be freely distributed (so don't ask me for a copy). If
you don't have an Amiga from which you can legally make a ROM image, a
selection of ROM images are available for purchase online from Cloanto
(publishers of the Amiga Forever distribution). See
http://www.amigaforever.com/

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/libtool-base devel/gmake devel/pkgconf

Runtime dependencies

x11/gtk2 devel/SDL sysutils/desktop-file-utils x11/gtk2 devel/SDL sysutils/desktop-file-utils

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfe-uae-0.8.28.99.4nb4.tgz
NetBSD 8.0earmv7hfe-uae-0.8.28.99.4nb4.tgz
NetBSD 8.0earmv7hfe-uae-0.8.28.99.4nb4.tgz
NetBSD 8.0i386e-uae-0.8.28.99.4nb4.tgz
NetBSD 8.0i386e-uae-0.8.28.99.4nb4.tgz
NetBSD 8.0powerpce-uae-0.8.28.99.4nb4.tgz
NetBSD 8.0powerpce-uae-0.8.28.99.4nb4.tgz
NetBSD 8.0powerpce-uae-0.8.28.99.4nb4.tgz
NetBSD 8.0powerpce-uae-0.8.28.99.4nb4.tgz
NetBSD 8.0x86_64e-uae-0.8.28.99.4nb4.tgz
NetBSD 8.0x86_64e-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0aarch64e-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0aarch64e-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0aarch64e-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0alphae-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0alphae-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0alphae-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0earmv6hfe-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0earmv6hfe-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0earmv6hfe-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0earmv7hfe-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0earmv7hfe-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0earmv7hfe-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0earmv7hfe-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0i386e-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0i386e-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0i386e-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0mips64ebe-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0mips64ebe-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0mips64ebe-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0mips64ebe-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0mips64ebe-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0powerpce-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0powerpce-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0powerpce-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0powerpce-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0sparc64e-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0sparc64e-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0sparc64e-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0sparce-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0sparce-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0sparce-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0sparce-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0sparce-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0x86_64e-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0x86_64e-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0x86_64e-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0x86_64e-uae-0.8.28.99.4nb4.tgz
NetBSD 9.0x86_64e-uae-0.8.28.99.4nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

gtk
Enable support for GTK.
sdl
Use SDL as the audio/display library.
x11
Enable X11 support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.